JCONSOLE(1)

NAME
jconsole - start a graphical console to monitor and manage Java applications

SYNOPSIS
jconsole [-interval=n] [-notile] [-plugin path] [-version] [connection ... ] [-Jinput_arguments]

jconsole -help

OPTIONS

-interval
    Sets the update interval to n seconds (default is 4 seconds).

-notile
    Doesn't tile the windows for two or more connections.

-pluginpath path
    Specifies the path that jconsole uses to look up plug-ins. The plug-in path should contain a provider-configuration file named META-INF/services/com.sun.tools.jconsole.JConsolePlugin that contains one line for each plug-in. The line specifies the fully qualified class name of the class implementing the com.sun.tools.jconsole.JConsolePlugin class.

-version
    Prints the program version.

connection = pid | host:port | jmxURL
    A connection is described by either pid, host:port or jmxURL.

    •   The pid value is the process ID of a target process. The JVM must be running with the same user ID as the user ID running the jconsole command.

    •   The host:port values are the name of the host system on which the JVM is running, and the port number specified by the system property com.sun.management.jmxremote.port when the JVM was started.

    •   The jmxUrl value is the address of the JMX agent to be connected to as described in JMXServiceURL.

-Jinput_arguments
    Passes input_arguments to the JVM on which the jconsole command is run.

-help or --help
    Displays the help message for the command.

DESCRIPTION
The jconsole command starts a graphical console tool that lets you monitor and manage Java applications and virtual machines on a local or remote machine.

On Windows, the jconsole command doesn't associate with a console window. It does, however, display a dialog box with error information when the jconsole command fails.